Subject: Re: bug#54770: Non-root LUKS devices unusable after Shepherd upgrade
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 08 Apr 2022 18:18:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skribis:

> Following the Shepherd upgrade in commit
> 400c9ed3d779308e56038305d40cd93acb496180, attempts to open non-root LUKS
> devices from a Shepherd service fail with this cryptsetup message:
>
>   Nothing to read on input.
>
> This is because standard input is now /dev/null so it cannot read the
> passphrase.

Fixed with these commits:

  f239b9d788 tests: Add "encrypted-home-os" installation test.
  dcb0e54a4f file-systems: Invoke fsck tools with 'system*/tty'.
  931f13840b mapped-devices: Ensure 'cryptsetup open' gets a tty.

Ludo’.